commit:     77ca32e3cb67a505ed9ae3803efb37e63c8ba347
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  6 21:06:42 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Dec  6 22:47:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77ca32e3

app-arch/bzip3: bump to 1.4.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/bzip3/Manifest           |  1 +
 app-arch/bzip3/bzip3-1.4.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/app-arch/bzip3/Manifest b/app-arch/bzip3/Manifest
index 7552adae5f7d..06b0a52b2127 100644
--- a/app-arch/bzip3/Manifest
+++ b/app-arch/bzip3/Manifest
@@ -1 +1,2 @@
 DIST bzip3-1.3.2.tar.xz 277768 BLAKE2B 
6ee7e5d7f1ab11c19664937fc631e51f5707b6893441bdd6e1beb52e9e2e46255e31c782f61939eba3f966f2be74b422a89f5fcd9d3f42caea07784f2f858efd
 SHA512 
76521377adfe737b30e77f5c3241c1c12214165492fba5acbc5ba09c8e7b91396b772f9fec936d6603413c3ef179a13597b13509df99bd8a2d56cbf14a70a84f
+DIST bzip3-1.4.0.tar.xz 278424 BLAKE2B 
d3e4ae283d3b4512e70ffe3ef63c4ee4fe6f7a0a272aacfe67aae155aed547b54c7e46bce2448b140c7af58ec968b33a1ea7660ffa492bd6bf6eed9fd9f9c4d1
 SHA512 
584eb77b3071b09c15f20ec88248c9295ca2107107fdcb0495364ac60807c688d167a6cbbdd1b67cc851cbebc0791661ecb44b4d03ca5fb7d2b89ce839452062

diff --git a/app-arch/bzip3/bzip3-1.4.0.ebuild 
b/app-arch/bzip3/bzip3-1.4.0.ebuild
new file mode 100644
index 000000000000..33aa6e59599d
--- /dev/null
+++ b/app-arch/bzip3/bzip3-1.4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A better and stronger spiritual successor to BZip2"
+HOMEPAGE="https://github.com/kspalaiologos/bzip3";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/kspalaiologos/${PN}.git";
+else
+       
SRC_URI="https://github.com/kspalaiologos/${PN}/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm64 ~loong ~x86"
+fi
+
+LICENSE="LGPL-3+"
+SLOT="0"
+
+src_configure() {
+       # ./configure script will default to Clang if it is found on the system,
+       # force the use of CC selected by the user with CC=$(tc-getCC)
+       econf CC=$(tc-getCC)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to